Subscriptions management.


GET /katello/api/organizations/:organization_id/subscriptions
List organization subscriptions

GET /katello/api/subscriptions
List subscriptions

Params

Param name Description
search
optional

Search string

Validations:

  • String

page
optional

Page number, starting at 1

Validations:

  • Must be a number.

per_page
optional

Number of results per page to return

Validations:

  • Must be a number.

order
optional

Sort field and order, eg. 'id DESC'

Validations:

  • String

full_result
optional

Whether or not to show all results

Validations:

  • Must be one of: true, false, 1, 0.

sort_by
optional

Field to sort the results on

Validations:

  • String

sort_order
optional

How to order the sorted results (e.g. ASC for ascending)

Validations:

  • String

organization_id
required

Organization ID

Validations:

  • Must be a number.

name
optional

name of the subscription

Validations:

  • String


GET /katello/api/organizations/:organization_id/subscriptions/:id
Show a subscription

GET /katello/api/subscriptions/:id
Show a subscription

Params

Param name Description
organization_id
optional

Organization identifier

Validations:

  • Must be a number.

id
required

Subscription identifier

Validations:

  • Must be a number.


POST /katello/api/organizations/:organization_id/subscriptions/upload
Upload a subscription manifest

Params

Param name Description
organization_id
required

Organization id

Validations:

  • Must be a number.

content
required

Subscription manifest file

Validations:

  • File


PUT /katello/api/organizations/:organization_id/subscriptions/refresh_manifest
Refresh previously imported manifest for Red Hat provider

Params

Param name Description
organization_id
required

Organization id

Validations:

  • Must be a number.


POST /katello/api/organizations/:organization_id/subscriptions/delete_manifest
Delete manifest from Red Hat provider

Params

Param name Description
organization_id
required

Organization id

Validations:

  • Must be a number.


GET /katello/api/organizations/:organization_id/subscriptions/manifest_history
obtain manifest history for subscriptions

Params

Param name Description
organization_id
required

Organization ID

Validations:

  • Must be a number.